Bug 1205091 - [RFE] Rebase to LibreOffice 4.3 in RHEL-7.2
Summary: [RFE] Rebase to LibreOffice 4.3 in RHEL-7.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: David Tardon
QA Contact: Desktop QE
URL:
Whiteboard:
: 1196704 1234058 (view as bug list)
Depends On: 1207745 1207748 1207749 1207750 1207752 1207753 1207755 1207757 1207758 1207761 1207762 1207766 1207767 1207772 1207776
Blocks: 1202116 1204244 1217464
TreeView+ depends on / blocked
 
Reported: 2015-03-24 08:41 UTC by jigar
Modified: 2019-08-15 04:24 UTC (History)
9 users (show)

Fixed In Version: libreoffice-4.3.7.2-5.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
LibreOffice upgrade The libreoffice packages have been upgraded to upstream version 4.3.7.2, which provides a number of bug fixes and enhancements over the previous version, including: * The possibility to print comments in page margin has been added. * Support for nested comments has been added. * OpenXML interoperability has been improved. * Accessibility support has been improved. * The color picker has been improved. * The start center has been improved. * Initial HiDPI support has been added. * The limitation on number of characters in a paragraph has been raised significantly. For a complete list of bug fixes and enhancements provided by this upgrade, refer to https://wiki.documentfoundation.org/ReleaseNotes/4.3
Clone Of:
Environment:
Last Closed: 2015-11-23 16:14:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1212340 0 low CLOSED fix for rebased libwpg 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2015:2197 0 normal SHIPPED_LIVE libreoffice bug fix and enhancement update 2015-11-23 21:13:16 UTC

Internal Links: 1212340

Description jigar 2015-03-24 08:41:19 UTC
Description of problem: We are looking for libreoffice upgrade to version 4.4. It has new features as compared to the present release version libreoffice-4.2.6.3-4 which is needed by the customer. 


Version-Release number of selected component (if applicable):4.2.6.3-4


How reproducible:Always

Required features:
- Clear indication of read-only mode

- In Writer it's possible to substitute a selected picture with another from the context menu.

- ‎New Caladea und Carlito fonts for better compatibility when exchanging documents with MS Office people.

- In Calc the sheet tabs are now displayed way better.

- In general the sidebar improved.

- "paste special" is now available, so you can e.g. paste formated text with out the formating.

Actual results: The features are not present in current version 4.2.6.3-4 . 


Expected results: Either the features are implemented in current version or libreoffice upgrade is available to version 4.4.

Comment 2 David Tardon 2015-03-24 09:20:02 UTC
(In reply to jigar from comment #0)
> Required features:
> - ‎New Caladea und Carlito fonts for better compatibility when exchanging
> documents with MS Office people.

These fonts are already in RHEL 7.0. And libreoffice depends on them, so they must be installed.

Comment 3 Caolan McNamara 2015-03-24 10:27:55 UTC
Our request to rebase to 4.3 for 7-2 was denied when we asked informally about it and our request to go to at least 4.2.8.2 is still pending a decision at bug 1196704. Technically from our side we can do it. (Though as dtardon says we have the fonts in 7.0 already). If we had approval I think we'd go for 4.3 in 7.2 as our version of that I believe covers the majority of the above issues. But my understanding is that we won't get rebase approval in this cycle.

Comment 4 David Tardon 2015-03-24 15:00:27 UTC
These additional packages would have to be rebased (or created) to rebase libreoffice to 4.3:

Rebases:
* libabw, libcdr, libetonyek, libfreehand, libmspub, libmwaw, libodfgen, libvisio, libwps
  - rebase to the latest version available
* libwpd, libwpg
  - rebase to the latest version available
  - either keep a compat package (not a problem technically, as they are parallel-installable) or patch inkscape to work with the new API
* glew
  - rebase to 1.10.0
  - not our package
* liborcus
  - rebase to 0.7.0
 
New packages:
* librevenge
  - latest version available
* glm
  - 0.9.5.2

In addition, it might be advisable to rebase mdds to 0.11.2. 0.10.x causes crashes in calc (incl. unit tests) in 4.4; I need to check if this is a problem in 4.3 too.

If we decided to go for 4.4, we would need 2 more changes:

Rebases:
* libcmis
  - rebase to 0.5.0

New packages:
* libpagemaker
  - latest version available

Comment 5 Caolan McNamara 2015-03-31 15:24:12 UTC
While the original request for was "features present in 4.4" we propose to rebase to our 4.3 (which contains backports of the requested 4.4 features)

Comment 6 Caolan McNamara 2015-03-31 15:33:12 UTC
*** Bug 1196704 has been marked as a duplicate of this bug. ***

Comment 7 David Tardon 2015-04-14 14:57:20 UTC
(In reply to David Tardon from comment #4)
> These additional packages would have to be rebased (or created) to rebase
> libreoffice to 4.3:
> * libwpd, libwpg
>   - rebase to the latest version available
>   - either keep a compat package (not a problem technically, as they are
> parallel-installable) or patch inkscape to work with the new API

I was told that inkscape has to be rebuilt anyway because of the poppler rebase (bug 1174537).

Comment 9 Michael Stahl 2015-06-20 20:07:10 UTC
*** Bug 1234058 has been marked as a duplicate of this bug. ***

Comment 10 Vladimir Benes 2015-09-02 09:20:45 UTC
libreoffice-4.3.7.2-5.el7 present in RHEL7.2 beta

Comment 12 errata-xmlrpc 2015-11-23 16:14:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2197.html


Note You need to log in before you can comment on or make changes to this bug.